#!/usr/bin/env python
# The World Dissolved: Act 1 (Pearce's House)
# An Interactive Novel by Phil Bordelon

import tools

flavour = tools.flavour

def Act1PearceKnock(state):
   if state.global_state["pearce-mood"] >= 1:
      flavour("act1.pearce.knock.yes")
      state.move("act1.pearce.bedroom")
   else: # You pissed him off between his call and knocking?  What a dick!
      flavour("act1.pearce.knock.no")

def Act1PearceTalk(state):
   flavour("act1.pearce.talk")
   state.global_state["pearce-mood"] += 2
   state.global_state["act1-slept-with-pearce"] = True
   state.move("act1.driving")

def init(state):
   state.location_dict["act1.pearce.door"] = {
      "name": "act1.pearce.door",
      "text": "act1.pearce.door",
      "can-brief": True,
      "actions": [("knock", "KNOCK.", Act1PearceKnock, state),
                  ("leave", "LEAVE.", state.move, "act1.driving")]
   }

   state.location_dict["act1.pearce.bedroom"] = {
      "name": "act1.pearce.bedroom",
      "text": "act1.pearce.bedroom",
      "can-brief": True,
      "actions": [("look", "LOOK around the bedroom.", flavour, "act1.pearce.bedroom.look"),
                  ("talk", "TALK to Pearce.", Act1PearceTalk, state)]
   }
