#!/usr/bin/env python
# The World Dissolved: Act 1 (Fin)
# An Interactive Novel by Phil Bordelon

import tools
import sys

flavour = tools.flavour

def Act1FinIsPearceHere(state):
   if state.global_state.get("act1-slept-with-pearce"):
      state.global_state["pearce-in-act2"] = True
   else:
      state.global_state["pearce-in-act2"] = False

def Act1Fin(state):
   if state.global_state["pearce-in-act2"]:
      flavour("act1.fin.p")
      pearce = True
   else:
      flavour("act1.fin.nop")
      pearce = False

   print
   print "=============----- ------ --- ----  --   --- -   -        -"
   print "Congratulations.  You have reached the end of Act 1, and this"
   print 'installment of "The World Dissolved".  Tune in next time for'
   print "action, adventure, excitement, and horror four thousand years"
   print "in the future.  (Yes, you read that right.)"
   print
   print "Were the game to continue:"
   if pearce:
      print "   Pearce would be with you in the future."
   else:
      print "   Pearce would be gone forever."
   print
   print "Pearce's mood at the end of the act:"
   mood = state.global_state["pearce-mood"]
   if mood < 0:
      print "%d - Angry" % (mood)
   elif mood < 2:
      print "%d - Noncommital" % (mood)
   elif mood < 4:
      print "%d - Rather pleased" % (mood)
   else:
      print "%d - Jubilant (except for the being in stasis bit)" % (mood)
   print
   print "Thanks for playing!"
   sys.exit(0)

def init(state):
   state.location_dict["act1.fin.body"] = {
      "name": "act1.fin.body",
      "text": "act1.fin.body",
      "pre-function": [Act1FinIsPearceHere, state],
      "actions": [("examine", "EXAMINE Alyssa's body.", Act1Fin, state)]
   }
