#!/usr/bin/env python
# The World Dissolved
# An Interactive Novel by Phil Bordelon

import code.State
import code.tools

if "__main__" == __name__:

   # Instantiate the global state object.
   state = code.State.State()

   # Import the various locations in the game.
   import code.act0
   code.act0.init(state)

   import code.act1marsh
   code.act1marsh.init(state)

   import code.act1car
   code.act1car.init(state)

   import code.act1office
   code.act1office.init(state)

   import code.act1coombs
   code.act1coombs.init(state)

   import code.act1pearce
   code.act1pearce.init(state)

   import code.act1fin
   code.act1fin.init(state)

   # Start the game up.
   code.tools.flavour("act-0")
   state.move("intro")
   while True:
      state.handleLocation(state.location_dict[state.global_state["location"]])
